glb                      % deklaracja dokadnoci oblicze hipotetycznej maszyny
x=logspace(-2,2,200);    % zakres eksperymentu
hold off;
axis([-2 2 -8 -2]);

% Algorytm oryginalny

loglog(x,abs(e(x)),'b-'); % wykres bdu rzeczywistego
xlabel('x');  ylabel('blad');
pause
hold on
loglog(x,ee(x),'r-');     % wykres oszacowania bdu cakowitego
pause
loglog(x,een(x),'g-');    % wykres oszacowania bdu nieuniknionego
pause

% Po modyfikacji algorytmu:

loglog(x,abs(e1(x)),'m-'); % wykres bdu rzeczywistego 
pause
loglog(x,ee1(x),'k -');    % wykres oszacowania bdu cakowitego

legend('alg.1.blad rzeczywisty','alg.1.oszacowanie bl.calkowitego',...
       'alg.1.oszacowanie bl.nieuniknionego',...
       'alg.2.blad rzeczywisty','alg.2.oszacowanie bl.calkowitego',...
       'Location','SouthWest');
%pause
%NDIG=3
%x=10:0.01:15;
%hold off
%plot(x,e(x))
%grid
